GET
Get Offer Details
Returns detailed information about a specific offer, including the matched price records and machine details.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

offer_id
string<uuid>
required

Response

Successful Response

Detailed information about an offer, aligned with GetOffersSummary.

offer_id
string<uuid>
required

Unique offer identifier

gpu_type
string
required

Canonical GPU name (e.g. nvidia-h100-sxm5-80gb)

gpu_family
string
required

GPU family name (e.g. H100, A100)

gpu_count
integer
required

Number of GPUs in this offer

vendor
string
required

Cloud vendor providing this offer

region
string
required

Region group: US, EU, APAC, or Other

status
string
required

Offer status: available, procured, failed, or expired

created_at
string<date-time>
required

When this offer was created

contract_type
string | null

Contract type: ondemand or spot

gpu_price_per_hour
number | null

Price per GPU per hour in USD (includes boot disk cost). Total hourly cost = gpu_price_per_hour * gpu_count

boot_disk_in_gb
integer | null

Boot disk size in GB. Null when the vendor does not validate boot disk size

vcpu_count
integer | null

Number of vCPUs (null if not reported by vendor)

memory_in_gb
integer | null

RAM in GB (null if not reported by vendor)

total_price_per_hour
number | null

Total hourly running cost in USD (compute only). Equal to gpu_price_per_hour * gpu_count

expires_at
string<date-time> | null

When this offer expires (30 minutes from creation)

procured_at
string<date-time> | null

When this offer was procured (null if not yet procured)